import { SegmentSize } from '../../types';
declare type SegmentType = {
    isActive: boolean;
    size: SegmentSize;
    hasFocus: boolean;
    segmentPadding: string;
};
export declare const SegmentWrapper: import('styled-components').StyledComponent<"button", any, SegmentType, never>;
export declare const SegmentLabel: import('styled-components').StyledComponent<"div", any, {}, never>;
export {};
